/*
 * Initialize some widgets for api module
 */
jQuery(function () {

	jQuery('.e4f-bc-status-select').on('change', function () {
		var me = $(this),
			value = me.val(),
			good = me.data('good'),
			url = me.data('url');

		var postdata = {goodStatus: good, bcStatus: value};

		jQuery.ajax({
			url: url,
			type: 'post',
			data: postdata,
			dataType: 'html',
			success: function (response) {
				alert(response);
			}
		});

	});


	jQuery('.e4f-bc-notifications-select').on('change', function () {
		var me = jQuery(this),
			dontSendNotifications = me.val(),
			url = me.data('url');

		var postdata = {dontSendNotifications: dontSendNotifications};

		jQuery.ajax({
			url: url,
			type: 'post',
			data: postdata,
			dataType: 'html',
			success: function (response) {
				alert(response);
			}
		});

	});


	var bc1link = jQuery('.bc1-link'),
		bc3link = jQuery('.bc3-link'),
		bc0create = jQuery('.bc-step-0-create'),
		bc0link = jQuery('.bc-step-0-link'),
		bc1sub = jQuery('.bc-step-1-submit'),
		bc2sub = jQuery('.bc-step-2-submit'),
		bc3sub = jQuery('.bc-step-3-submit'),
		bc2back = jQuery('.bc-step-2-back'),
		var_api_key = '',
		var_api_login = '';

	var steps = {
		'bc0': jQuery('.bc-step-0'),
		'bc1': jQuery('.bc-step-1'),
		'bc2': jQuery('.bc-step-2'),
		'bc3': jQuery('.bc-step-3'),
		'bc4': jQuery('.bc-step-4')
	};

	bc0create.on('click', function (e) {
		e.preventDefault();
		bcShow('bc1');
	});

	bc0link.on('click', function (e) {
		e.preventDefault();
		bcShow('bc3');
	});

	bc1sub.on('click', function (e) {
		e.preventDefault();
		var form = jQuery(this).closest('form');
		if (!form.validate().form()) {
			return;
		}


		var emailMain = document.getElementById('input-4');
		var emailProfile = document.getElementById('input-21');
		emailProfile.value = emailMain.value;

		// var fNameProfile = document.getElementById('input-31');
		// var lNameProfile = document.getElementById('input-41');

		bcShow('bc2');


	});


	bc1sub.on('click', function (e) {
		e.preventDefault();
		var form = jQuery(this).closest('form');
		if (!form.validate().form()) {
			return;
		}
		bcShow('bc2');
	});

	bc2back.on('click', function (e) {
		e.preventDefault();
		bcShow('bc1');
	});

	bc1link.on('click', function (e) {
		e.preventDefault();
		bcShow('bc3');
	});

	bc3link.on('click', function (e) {
		e.preventDefault();
		bcShow('bc1');
	});

	bc3sub.on('click', function (e) {
		e.preventDefault();
		var self = jQuery(this);
		jQuery("#error_message2").html("");
		var form = self.closest('form');
		// var waitButton = form.find('.e4f-please-wait').first();
		if (!form.validate().form()) {
			return;
		}

		var url = self.data('url');
		var formData = new FormData();

		self.hide();
		form.mask("Please wait...");
		// waitButton.show();

		form.find('input[type="text"], input[type="hidden"], input[type="email"], input[type="number"], input[type="checkbox"], input[type="radio"], select').each(function (index) {
			var me = jQuery(this);
			if ((me.is('[type="checkbox"]') || me.is('[type="radio"]')) && me.prop('checked') === false) {
				return;
			}
			formData.append(me.attr('name'), me.val());
		});


		jQuery.ajax({
			url: url,
			type: 'post',
			data: formData,
			dataType: 'json',
			success: function (response) {
				console.log(response);
				if (response == 'success') {
					bcShow('bc4');
					alert(response);
				} else {
					// jQuery.scojs_message(response.text, jQuery.scojs_message.TYPE_ERROR);
					jQuery("#error_message2").html(response.text);
					self.show();
					// waitButton.hide();
					form.unmask();
				}
			}
		});
	});

	bc2sub.on('click', function (e) {
		e.preventDefault();
		var self = jQuery(this);
		jQuery("#error_message").html("");
		var form = self.closest('form');
		if (!form.validate().form()) {
			return;
		}

		// var waitButton = form.find('.e4f-please-wait').first();
		var createSiteButtons = form.find('.e4f-create-site-buttons');
		var forms = [bc1sub.closest('form'), bc2sub.closest('form')];
		var url = self.data('url');
		var formData = new FormData();

		createSiteButtons.hide();
		form.mask("Please wait...");
		// waitButton.show();

		for (var i in forms) {
			forms[i].find('input[type="text"], input[type="hidden"], input[type="email"], input[type="number"], input[type="checkbox"], input[type="radio"], select').each(function (index) {
				var me = jQuery(this);
				if ((me.is('[type="checkbox"]') || me.is('[type="radio"]')) && me.prop('checked') === false) {
					return;
				}
				formData.append(me.attr('name'), me.val());
			});
		}

		formData.append('action', 'web_eye4fraud_api');

		//Eye4fraud Sign Up Api url
		jQuery.ajax({
			// url: BaseUrl + '/web/eye4fraud_api.php',
			url: eye4fraud_script_ajax_object.e4f_ajaxurl,
			type: 'post',
			data: formData,
			processData: false,
			contentType: false,
			cache: false,
			dataType: 'json',
			traditional: true,
			success: function (response) {
				if (response.success) {
					//alert(response);
					bcShow('bc4');
					var_api_key = response.api_key;
					var_api_login = response.api_login;

					jQuery("a#allset").click(function (e) {
						// var parentUrl = new URL((window.location != window.parent.location)
						//     ? document.referrer
						//     : document.location.href);

						var abs_url = window.location.origin;

						// var urlParams = new URLSearchParams(window.location.search);
						// var abs_url = urlParams.get('site');
						// abs_url = abs_url.substring(1, abs_url.length - 1);

						var url = abs_url + '/wp-admin/admin.php?page=wc-settings&tab=eye4fraud';
						window.top.location.href = url + "&api_key=" + var_api_key + "&api_login=" + var_api_login;

					});

				} else {
					// jQuery.scojs_message(response.text, jQuery.scojs_message.TYPE_ERROR);
					jQuery("#error_message").html(response.text);
					createSiteButtons.show();
					// waitButton.hide();
					form.unmask();
				}

			}

		});

	});

	bc1link.on('click', function (e) {
		e.preventDefault();
		var form = jQuery(this).closest('form');
		bcShow('bc3');
	});


	function bcShow(section) {
		for (var step in steps) {
			if (step !== section) {
				steps[step].hide();
			} else {
				steps[step].show();
			}
		}
	}


	jQuery(document).ready(function () {

		jQuery('form').on('submit', function () {
			return !jQuery('form').validateForm();
		});


		var api_key_in = '';
		var api_login_in = '';

		jQuery("input[name='apiLogin']").keyup(function () {
			api_login_in = jQuery("input[name='apiLogin']").val();
		});

		jQuery("input[name='apiKey']").keyup(function () {
			api_key_in = jQuery("input[name='apiKey']").val();
		});

		jQuery(".loginsubmit").click(function () {

			// debugger;
			// var urlParams = new URLSearchParams(window.location.search);
			// var abs_url = urlParams.get('site');
			var abs_url = window.location.origin;
			// abs_url = abs_url.substring(1, abs_url.length - 1);

			var url = abs_url + '/wp-admin/admin.php?page=wc-settings&tab=eye4fraud';
			window.top.location.href = url + "&api_key=" + api_key_in + "&api_login=" + api_login_in;


			// var formData = new FormData();
			// formData.append('api_key', api_key_in);
			// formData.append('api_login', api_login_in);

			// //Eye4fraud Login Api url
			// jQuery.ajax({
			//     url: BaseUrl + "/web/eyefraud_login.php",
			//     type: 'post',
			//     data: formData,
			//     processData: false,
			//     contentType: false,
			//     cache: false,
			//     dataType: 'json',
			//     traditional: true,
			//     success: function (response) {
			//         //if(response.success){
			//         if (response.success == 'valid') {
			//             // jQuery(".login_message").hide();
			//             var_api_key = response.api_key;
			//             var_api_login = response.api_login;
			//             console.log(JSON.stringify(response));
			//             // JSON.stringify(response);
			//             var parentUrl = new URL((window.location != window.parent.location)
			//                 ? document.referrer
			//                 : document.location.href);
			//
			//             var abs_url = '';
			//             var urlParams = new URLSearchParams(window.location.search);
			//             abs_url = urlParams.get('site');
			//             abs_url = abs_url.substring(1, abs_url.length - 1);
			//
			//             var url = '';
			//             url = abs_url + '/wp-admin/admin.php?page=wc-settings&tab=eye4fraud';
			//             window.top.location.href = url + "&api_key=" + var_api_key + "&api_login=" + var_api_login;
			//             // var url = '';
			//             // var urlParams = new URLSearchParams(window.location.search);
			//             // url =  urlParams.get('site') + '/wp-admin/admin.php?page=wc-settings&tab=eye4fraud';
			//             //  window.top.location.href = url + "&api_key=" + var_api_key + "&api_login=" + var_api_login;
			//
			//         }
			//
			//         if (response.success == 'invalid') {
			//             jQuery(".login_message").show();
			//         }
			//
			//         console.log(response.success);
			//         //else{
			//
			//         //jQuery.scojs_message(response.text, jQuery.scojs_message.TYPE_ERROR);
			//         // createSiteButtons.show();
			//         //waitButton.hide();
			//         // }
			//
			//     }
			//
			// });
			//
			// console.log("checking");
		});
	});


});
