<?php
/**
 * Plugin Name: Eye4Fraud for WooCommerce
 * Plugin URI: http://www.eye4fraud.com/
 * Description: This is the plugin for the specific Sign Up process of Eye4fraud in WooCommerce that help you to screen your online order transaction, such as credit card transaction, for fraud.
 * Author: Eye4Fraud
 * Author URI: http://www.eye4fraud.com
 * Version: 2.0.19
 * Text Domain: woocommerce-extension
 *
 * Woo: 7154315:c1d04a51d6b94a4162f02fd6560810a3
 *
 * License: GNU General Public License v3.0
 * License URI: http://www.gnu.org/licenses/gpl-3.0.html
 */
// If this file is called firectly, abort!!!
defined( 'ABSPATH' ) || die( 'Hey, what are you doing here? You silly human!' );

// Require once the Composer Autoload
if ( file_exists( dirname( __FILE__ ) . '/vendor/autoload.php' ) ) {
	require_once dirname( __FILE__ ) . '/vendor/autoload.php';
}

if ( !defined( 'E4F_PLUGIN_FILE' ) ) {
	define( 'E4F_PLUGIN_FILE', __FILE__ );
}

/**
 * The code that runs during plugin activation
 */
function activate_eye4fraud_plugin() {
	Eye4fraud\Base\Activate::activate();
}

register_activation_hook( __FILE__, 'activate_eye4fraud_plugin' );

/**
 * The code that runs during plugin deactivation
 */
function deactivate_eye4fraud_plugin() {
	Eye4fraud\Base\Deactivate::deactivate();
}

register_deactivation_hook( __FILE__, 'deactivate_eye4fraud_plugin' );

/**
 * Initialize all the core classes of the plugin
 */
if ( class_exists( 'Eye4fraud\\Init' ) ) {
	Eye4fraud\Init::register_services();
}

if ( is_admin() ) {
	if ( isset( $_REQUEST['api_key'] ) && isset( $_REQUEST['api_login'] ) && isset( $_REQUEST['tab'] ) && 'eye4fraud' == $_REQUEST['tab'] ) {
		update_option( 'wc_settings_eye4fraud_api_key', sanitize_text_field( wp_unslash( $_REQUEST['api_key'] ) ) );
		update_option( 'wc_settings_eye4fraud_api_login', sanitize_text_field( wp_unslash( $_REQUEST['api_login'] ) ) );
	}
}
