<?php

namespace Eye4Fraud\Admin;

use Eye4fraud\Base\BaseController;

class Page extends BaseController {
	//Eye4fraud Api from url
	//private $api_url = '//eye4fraud.com/woocommerce/view/layout.php';
	private $api_url = 'https://www-stag.eye4fraud.com/woocommerce/view/layout.php';


	public function register() {
		add_action( 'admin_menu', array( $this, 'add_plugin_page' ) );
		add_action( 'admin_init', array( $this, 'page_init' ) );
	}

	/**
	 * Add options page
	 */
	public function add_plugin_page() {
		// This page will be under "Settings"

		$api_key = get_option( 'wc_settings_eye4fraud_api_key' );
		$api_login = get_option( 'wc_settings_eye4fraud_api_login' );


//        if (empty($api_key) && empty($api_login)) {
		add_menu_page(
			'Settings Eye4fraud',
			'Eye4fraud Signup',
			'manage_options',
			'e4f-setting-admin',
			array( $this, 'create_admin_page' )
		);
//        }


	}


	/**
	 * Options page callback
	 */
	public function create_admin_page() {
		// Set class property
		$this->options = get_option( 'my_option_name' );

		$dir = plugin_dir_path(plugin_dir_path(plugin_dir_path(__FILE__)));
		$urlPath = untrailingslashit( plugins_url( '/', E4F_PLUGIN_FILE ) );

		wp_enqueue_script( 'jQuery' );
		wp_enqueue_script( 'main.js', plugins_url( '../../assets/js/main.js', __FILE__ ), array('jquery'), 1, true);

		wp_enqueue_script( 'jquery.loadmask.min.js', plugins_url( '../../assets/js/jquery-loadmask/jquery.loadmask.min.js', __FILE__ ) , array(), 1 );
		wp_enqueue_script( 'api.js', plugins_url( '../../assets/js/api.js', __FILE__ ) , array(), 1 );
		
		wp_enqueue_style( 'googleapis', 'https://fonts.googleapis.com/css?family=Cabin:400,700', array(), 1 );
		wp_enqueue_style( 'loadmask', plugins_url( '../../assets/js/jquery-loadmask/jquery.loadmask.css', __FILE__ ), array(), 1 );
		wp_enqueue_style( 'style.css', plugins_url( '../../assets/css/style.css', __FILE__ ), array(), 1);


		?>

		<style>
			.info {
				position: fixed;
				top: 0;
				left: 0;
				color: #333;
				font-size: 12px;
				font-family: 'Muli';
			}

			.wrapper {
				left: 0;
				width: 100%;
			}

			form {
				min-width: 600px;
				width: 50%;
				margin: 50px auto;
			}

			.label-control {
				padding: 2px 5px;
			}

			.forgot {
				margin-top: 20px;
			}

			.error input {
				border-color: #EBCCD1;
				background-color: #F2DEDE;
			}
		</style>

		<div class="auth-screen">
			<div>
				<div class="container">
					<?php require_once $dir . '/web/load.php'; ?>
				</div>
				<div class="auth-footer">
					<!--                All Rights Reserved © Eye4Fraud-->
				</div>
			</div>

		</div>

		<?php
	}

	/**
	 * Register and add settings
	 */
	public function page_init() {

	}


	/**
	 * Sanitize each setting field as needed
	 *
	 * @param array $input Contains all settings fields as array keys
	 */
	public function sanitize( $input ) {

	}

	/**
	 * Print the Section text
	 */
	public function print_section_info() {
		// print 'Enter your settings below:';
	}

	/**
	 * Get the settings option array and print one of its values
	 */
	public function id_number_callback() {

	}

	/**
	 * Get the settings option array and print one of its values
	 */
	public function title_callback() {

	}

}
