<?php

/**
 *
 * Eye4fraud Integration
 *
 * @package  Eye4fraud
 *
 */

namespace Eye4fraud\Base;

class Required extends BaseController {

	/**
	 * Register function which will act as constructor
	 */

	public function register() {
		add_action( 'admin_init', array( $this, 'check_woocommerce_init' ) );
	}

	/**
	 * Check if WooCommerce is activated
	 */

	public static function is_woocommerce_active() {
		return class_exists( 'woocommerce' );
	}


	/**
	 * Check if WooCommerce is activated
	 */

	public function check_woocommerce_init() {
		if ( $this->is_woocommerce_active() ) {
			flush_rewrite_rules();
		} else {
			if ( is_plugin_active( $this->plugin ) ) {
				deactivate_plugins( $this->plugin );
				add_action( 'admin_notices', array( $this, 'admin_notice_error' ) );
			}
		}
	}


	/**
	 * Admin Notice Error
	 */

	public function admin_notice_error() {
		$class = 'notice notice-error';
		$message = __( 'Woocommerce needs to be activated.', 'eye4fraud' );

		printf( '<div class="%1$s"><p>%2$s</p></div>', esc_attr( $class ), esc_html( $message ) );
	}

}
