<?php

namespace Eye4fraud\Services;

class OrderDataProvider {

	/**
	 *
	 * Create static function for order sent flag.
	 *
	 * Meta_key _eye4fraud_order_sent updated.
	 *
	 * @param $order_id
	 * @param int $flag
	 *
	 */
	public static function setEye4fraudOrderSent( $order_id, $flag ) {
		$order = wc_get_order( $order_id );
		$order->update_meta_data( '_eye4fraud_order_sent', $flag );
		$order->save();
	}


	/**
	 * Get static function for order sent flag.
	 *
	 * Meta_key _eye4fraud_order_sent updated.
	 *
	 * @param $order_id
	 * @return string
	 *
	 */
	public static function getEye4fraudOrderSent( $order_id ) {
		return get_post_meta( $order_id, '_eye4fraud_order_sent' );
	}


	/**
	 *
	 * Get meta_key value.
	 *
	 * Value of meta_key for eye4fraud.
	 *
	 * @param $order_id
	 * @param string $meta_key
	 * @return string
	 *
	 */
	public static function eye4fraud_get_key( $order_id, $meta_key = '' ) {
		return get_post_meta( $order_id, $meta_key );
	}


	/**
	 *
	 * Get option_name value.
	 *
	 * Value of option_name for eye4fraud.
	 *
	 * @param string $meta_key
	 * @return string
	 *
	 */
	public static function eye4fraud_get_option( $meta_key = '' ) {
		return get_option( $meta_key );
	}
}
